Bug 225989 - Merge Review: libbonobo
Merge Review: libbonobo
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Package Reviews List
:
Depends On: 226223
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:19 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:58:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:19:00 EST
Fedora Merge Review: libbonobo

http://cvs.fedora.redhat.com/viewcvs/devel/libbonobo/
Initial Owner: rstrode@redhat.com
Comment 1 Jon Ciesla 2012-04-09 14:14:57 EDT
- rpmlint checks return:

festival.spec:212: W: unversioned-explicit-provides festival-voice
festival.spec:213: W: unversioned-explicit-provides festvox-kallpc16k
festival.spec:221: W: unversioned-explicit-provides festival-voice
festival.spec:222: W: unversioned-explicit-provides festvox-kedlpc16k
festival.spec:230: W: unversioned-explicit-provides festival-voice
festival.spec:238: W: unversioned-explicit-provides festival-voice
festival.spec:246: W: unversioned-explicit-provides festival-voice
festival.spec:254: W: unversioned-explicit-provides festival-voice
festival.spec:262: W: unversioned-explicit-provides festival-voice
festival.spec:270: W: unversioned-explicit-provides festival-voice
festival.spec:278: W: unversioned-explicit-provides festival-voice
festival.spec:286: W: unversioned-explicit-provides festival-voice
The specfile contains an unversioned Provides: token, which will match all
older, equal, and newer versions of the provided thing.  This may cause update
problems and will make versioned dependencies, obsoletions and conflicts on
the provided thing useless -- make the Provides versioned if possible.

Should be fixed.

festival.spec:1080: W: macro-in-%changelog %{festivalversion}
festival.spec:1157: W: macro-in-%changelog %{_bindir}
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

Trivial to fix.

festival.spec:746: W: mixed-use-of-spaces-and-tabs (spaces: line 18, tab: line 746)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

Trivial to fix.

Lots of no-manpage, wrong end of line encoding, no-shebang or spurious executable perms.

festival-devel.x86_64: W: no-dependency-on festival/festival-libs/libfestival
festival-lib.x86_64: E: explicit-lib-dependency festival-speechtools-libs
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

Fix.

festival-speechtools-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libestbase.so.1.2.96.1 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

festival-speechtools-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libestools.so.1.2.96.1 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

festival-speechtools-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libeststring.so.1.2 exit@GLIBC_2.2.5
This library package calls exit() or _exit(), probably in a non-fork()
context. Doing so from a library is strongly discouraged - when a library
function calls exit(), it prevents the calling program from handling the
error, reporting it to the user, closing files properly, and cleaning up any
state that the program has. It is preferred for the library to return an
actual error code and let the calling program decide how to handle the
situation.

Should be fixed if at all possible.

- package meets naming guidelines
- package meets packaging guidelines
- license ( MIT and GPL+ and TCL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream  

Though it's ancient. . . and the doc versions still don't match.

- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Other than the above, not much to do, let me know if you want me to commit anything.
Comment 2 Jon Ciesla 2012-04-09 14:16:11 EDT
Sorry, wrong bug. . .ignore that comment.
Comment 3 Jon Ciesla 2012-04-09 14:24:20 EDT
- rpmlint checks return:

libbonobo.spec:25: W: unversioned-explicit-obsoletes bonobo-activation
libbonobo.spec:42: W: unversioned-explicit-obsoletes bonobo-activation-devel
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

Fix.

libbonobo.spec:72: E: hardcoded-library-path in %{_prefix}/lib/bonobo-2.0/samples/bonobo-echo-2
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

libbonobo.spec:87: E: hardcoded-library-path in %{_prefix}/lib/bonobo/servers
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

libbonobo.spec:106: E: hardcoded-library-path in %{_prefix}/lib/bonobo/servers
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

libbonobo.spec:107: E: hardcoded-library-path in %{_prefix}/lib/bonobo
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

Fix.

libbonobo.spec: W: %ifarch-applied-patch Patch0: libbonobo-multishlib.patch
A patch is applied inside an %ifarch block. Patches must be applied on all
architectures and may contain necessary configure and/or code patch to be
effective only on a given arch.

Fix if possible.

Ignorable spelling error.

libbonobo.x86_64: W: self-obsoletion bonobo-activation obsoletes bonobo-activation = 2.32.1-2.fc18
The package obsoletes itself.  This is known to cause errors in various tools
and should thus be avoided, usually by using appropriately versioned Obsoletes
and/or Provides and avoiding unversioned ones.

libbonobo-devel.x86_64: W: self-obsoletion bonobo-activation-devel obsoletes bonobo-activation-devel = 2.32.1-2.fc18
The package obsoletes itself.  This is known to cause errors in various tools
and should thus be avoided, usually by using appropriately versioned Obsoletes
and/or Provides and avoiding unversioned ones.

Fix.

libbonobo.x86_64: W: conffile-without-noreplace-flag /etc/bonobo-activation/bonobo-activation-config.xml
A configuration file is stored in your package without the noreplace flag. A
way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

Fix if reasonable.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ and LGPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

So it's just the rpmlitn bits, let me know if you want me to commit anything.
Comment 4 Jon Ciesla 2012-04-26 09:36:43 EDT
Ping?
Comment 5 Jon Ciesla 2013-02-07 15:10:52 EST
Dropped bonobo-activation prov/obs.  Incorrect fsf addresses and missing man pages probably fine, though not ideal.  Hardcoded paths aren't ideal but work.

Committed and built in rawhide, with patch for autotools macro problem.  However, rawhide's glib2 has removed GStaticRecMutex, so this will need patching.

Take a look at the files in /etc, shouldn't they be noreplace?
Comment 6 Vadim Raskhozhev 2013-05-04 05:17:16 EDT
(In reply to comment #5)
> Dropped bonobo-activation prov/obs.

Please take a look at https://bugzilla.redhat.com/show_bug.cgi?id=959619. Missing bonobo-activation seems to cause unresolvable dependencies.
Comment 7 Cole Robinson 2015-02-11 15:37:29 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 8 Jan Kurik 2015-07-15 11:25:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Fedora End Of Life 2016-11-24 05:19:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 06:58:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.